This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 43828 - Unhandled exception terminates Xamarin Studio
Summary: Unhandled exception terminates Xamarin Studio
Status: VERIFIED NOT_REPRODUCIBLE
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: iOS add-in (show other bugs)
Version: Trunk
Hardware: PC Mac OS
: --- normal
Target Milestone: (C8)
Assignee: Greg Munn
URL:
Depends on:
Blocks:
 
Reported: 2016-08-29 13:01 UTC by Rolf Bjarne Kvinge
Modified: 2016-09-05 13:02 UTC (History)
4 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Rolf Bjarne Kvinge 2016-08-29 13:01:06 UTC
This seems to happen with the iOS device log sometimes:

FATAL ERROR [2016-08-29 14:58:57Z]: An unhandled exception has occured. Terminating Xamarin Studio? True
System.ArgumentOutOfRangeException: StartIndex cannot be less than zero.
Parameter name: startIndex
  at System.String.Substring (Int32 startIndex, Int32 length) [0x0009c] in /private/tmp/source-mono-4.4.0-c7sr1/bockbuild-mono-4.4.0-branch-c7sr1/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/string.cs:1266 
  at MonoDevelop.IPhone.IPhoneLogEntry.ParseLine (System.String line) [0x0005a] in /Users/builder/data/lanes/3509/7db9ab03/source/md-addins/MonoDevelop.IPhone/MonoDevelop.IPhone/IPhoneDeviceLogProvider.cs:264 
  at MonoDevelop.IPhone.IPhoneLogEntry.Parse (System.String deviceName) [0x00045] in /Users/builder/data/lanes/3509/7db9ab03/source/md-addins/MonoDevelop.IPhone/MonoDevelop.IPhone/IPhoneDeviceLogProvider.cs:239 
  at MonoDevelop.IPhone.IPhoneLogEntry..ctor (System.String deviceName, System.String raw) [0x00012] in /Users/builder/data/lanes/3509/7db9ab03/source/md-addins/MonoDevelop.IPhone/MonoDevelop.IPhone/IPhoneDeviceLogProvider.cs:211 
  at MonoDevelop.IPhone.DeviceLoggingTask.SplitEOLToLog (System.String deviceName, System.Action`1 callback, System.String str) [0x00018] in /Users/builder/data/lanes/3509/7db9ab03/source/md-addins/MonoDevelop.IPhone/MonoDevelop.IPhone/IPhoneDeviceLogProvider.cs:198 
  at MonoDevelop.IPhone.DeviceLoggingTask.OnProcessOutput (System.String deviceName, System.Action`1 callback, System.String message, System.String& pendingText) [0x0002c] in /Users/builder/data/lanes/3509/7db9ab03/source/md-addins/MonoDevelop.IPhone/MonoDevelop.IPhone/IPhoneDeviceLogProvider.cs:165 
  at MonoDevelop.IPhone.DeviceLoggingTask+<Connect>c__AnonStorey2.<>m__0 (System.Object s, System.String message) [0x00000] in /Users/builder/data/lanes/3509/7db9ab03/source/md-addins/MonoDevelop.IPhone/MonoDevelop.IPhone/IPhoneDeviceLogProvider.cs:129 
  at MonoDevelop.Core.Execution.ProcessWrapper.CaptureOutput () [0x00026] in /Users/builder/data/lanes/3509/7db9ab03/source/monodevelop/main/src/core/MonoDevelop.Core/MonoDevelop.Core.Execution/ProcessWrapper.cs:87 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00017] in /private/tmp/source-mono-4.4.0-c7sr1/bockbuild-mono-4.4.0-branch-c7sr1/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/threading/thread.cs:68 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, Boolean preserveSyncCtx) [0x0008d] in /private/tmp/source-mono-4.4.0-c7sr1/bockbuild-mono-4.4.0-branch-c7sr1/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/threading/executioncontext.cs:957 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, Boolean preserveSyncCtx) [0x00000] in /private/tmp/source-mono-4.4.0-c7sr1/bockbuild-mono-4.4.0-branch-c7sr1/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/threading/executioncontext.cs:904 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00031] in /private/tmp/source-mono-4.4.0-c7sr1/bockbuild-mono-4.4.0-branch-c7sr1/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/threading/executioncontext.cs:893 
  at System.Threading.ThreadHelper.ThreadStart () [0x0000b] in /private/tmp/source-mono-4.4.0-c7sr1/bockbuild-mono-4.4.0-branch-c7sr1/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/threading/thread.cs:105 


----------------

Xamarin Studio Business
Version 6.1 (build 5357)
Installation UUID: 1e5a0981-6c77-4808-8a6b-43fc0462d27e
Runtime:
	Mono 4.4.2 (mono-4.4.0-branch-c7sr1/e4b69ff) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 404020006

NuGet
Version: 3.4.3.0

Xamarin.Profiler
Not Installed

Apple Developer Tools
Xcode 7.3 (10183.3)
Build 7D175

Xamarin.iOS
Version: 9.11.0.126 (Xamarin Business)
Hash: 789a893
Branch: watchos-debugging-on-device
Build date: 2016-08-29 11:40:11+0200

Xamarin.Android
Version: 6.1.99.224 (Xamarin Business)
Android SDK: Not found

Xamarin Android Player
Not Installed

Xamarin.Mac
Version: 2.11.2.126 (Xamarin Business)

Build Information
Release ID: 601005357
Git revision: 7db9ab03579694772b066d7440673299eb58372c
Build date: 2016-08-19 12:18:01-04
Xamarin addins: 80f2929942f59678ed60ff3c857857f0170a63aa
Build lane: monodevelop-lion-cycle8

Operating System
Mac OS X 10.11.6
Darwin Rolfs-Mac-Pro.local 15.6.0 Darwin Kernel Version 15.6.0
    Thu Jun 23 18:25:34 PDT 2016
    root:xnu-3248.60.10~1/RELEASE_X86_64 x86_64
Comment 1 xamarin-release-manager 2016-08-29 15:47:36 UTC
Fixed in version 6.2.0.412 (master)

Author: Greg Munn
Commit: 8bb51943667e182ae829660d0a31b1d6b52e2bda (xamarin/md-addins)
Included in Commit: 92ef3dc7977cf9deac2466f536b69ccd12ef08c9 (mono/monodevelop)
Comment 2 abhi 2016-08-30 15:27:15 UTC
I have tried to reproduce this issue using the build, i.e. XS 6.1 (build 5357) with different solutions, even with the samples, but I am not able to reproduce this issue at our end, as there is no such type of error appearing in the Device Logs for the iOS device (iPhone 6S with iOS 9.3.2).

Below is the screencast for the same:
http://www.screencast.com/t/n1QKrEa5k

I have checked this with the latest Master build XS 6.2.0.417 as well and have observed that on debugging the iOS application in the device log window the error mentioned in the bug does not appears. Moreover, the XS also did not crash or freeze.

Below is the screencast for the same:
http://www.screencast.com/t/zYpWm9Avl9

Below is the gist for the Device logs as well as the build information:
https://gist.github.com/abhisheks360/7bea843a28462de568bdb3f80665fe92

For now not marking the bug as Verified. 

On the basis of the information provided above please confirm if we can close this issue as verified. Or else please let us know if there are any specific steps which we need to follow in order to reproduce and verify this issue.
Comment 3 Rolf Bjarne Kvinge 2016-08-30 15:29:22 UTC
I was never able to find a way to reproduce this consistently, it just happened once in a while.
Comment 4 xamarin-release-manager 2016-08-30 18:33:25 UTC
Fixed in version 6.1.0.5382 (cycle8)

Author: Greg Munn
Commit: 6e968cfe33f388ba486aab639398e1ae09524a56 (xamarin/md-addins)
Included in Commit: 3dea9df9a055988647ee8baafbebca8a2f7a6739 (mono/monodevelop)
Comment 6 xamarin-release-manager 2016-09-05 13:02:30 UTC
Fixed in version 6.1.0.5412 (cycle8-fix-43237)

Author: Greg Munn
Commit: 6e968cfe33f388ba486aab639398e1ae09524a56 (xamarin/md-addins)
Included in Commit: 00f44447edae513ae567fcf254df3f05d903b4b3 (mono/monodevelop)

Note You need to log in before you can comment on or make changes to this bug.